<?php
include "../../inc/inc.koneksi.php";
include '../../inc/fungsi_tanggal.php';
session_start();

$kode	= $_POST[kode];
$tanggal= $_POST[tanggal];
$kodepl = $_POST[kodepl];
$namapl	= $_POST[namapl];
$tglaw  = $_POST[tglaw];
$tglak  = $_POST[tglak];
$tbayar = $_POST[tbayar];
$tgaw 	= jin_date_str($tglaw);
$tgak 	= jin_date_str($tglak);
$user	= $_SESSION[namauser];

$sql	= mysql_query("SELECT * FROM interface");
$r 	    = mysql_fetch_assoc($sql);
$kas 	= $r[kas];
$piut	= $r[piutang];
$nosubks= substr($kas,0,3);
$nosubpi= substr($piut,0,3);
$nobppi	= $piut.$kodepl;

$query = mysql_query("SELECT * FROM jurppi_tmp WHERE batal=''");

while($data=mysql_fetch_array($query)){
	$nofak	    = $data[nofak];
	$tglfak	    = $data[tgl_fak];
	$nopol	    = $data[nopol];
	$jmlliter   = $data[jml_liter];
	$jmlpiut    = $data[jml_piut];
	$dibayar    = $data[dibayar];
	$sisa 	    = $data[sisa];
	
	mysql_query("INSERT INTO jurppi (kode_ppi,tanggal,kode_pl,nama_pl,tanggal_aw,tanggal_ak,nofak,tgl_fak,nopol,jml_liter,jml_piut,dibayar,sisa,user) VALUES('$kode','$tanggal','$kodepl','$namapl','$tglaw','$tglak','$nofak','$tglfak','$nopol','$jmlliter','$jmlpiut','$dibayar','$sisa','$user')");
	mysql_query("UPDATE piutang SET jumlah=jumlah-$dibayar WHERE kode_pl='$kodepl' AND nofak='$nofak'");
}

// --->debet kas bertambah
mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$tbayar WHERE noakun='$kas'");
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kode','PPI','$tanggal','$kode','$kas','$nosubks','$tbayar','Penerimaan piutang $namapl $tgaw s/d $tgak','$user')");
	
// --->kredit piutang bertambah
mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$tbayar WHERE noakun='$piut'");
mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$tbayar WHERE noakun='$nobppi'");
	
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','PPI','$tanggal','$kode','$piut','$nosubpi','$nobppi','$tbayar','Penerimaan piutang $namapl $tgaw s/d $tgak','$user')");

mysql_query("DELETE FROM jurppi_tmp");
?>
